Mail archive
alpine-aports

[alpine-aports] [PATCH 7/9] testing/py-vobject: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:09 -0500

http://vobject.skyhouseconsulting.com
Module for parsing and generating vCard and vCalendar files
---
 testing/py-vobject/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-vobject/APKBUILD
diff --git a/testing/py-vobject/APKBUILD b/testing/py-vobject/APKBUILD
new file mode 100644
index 0000000..f771442
--- /dev/null
+++ b/testing/py-vobject/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-vobject
+_pkgname=vobject
+pkgver=0.8.1c
+pkgrel=0
+pkgdesc="Module for parsing and generating vCard and vCalendar files"
+url="http://vobject.skyhouseconsulting.com"
+arch="noarch"
+license="Apache"
+depends="python py-dateutil py-icu"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://vobject.skyhouseconsulting.com/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="c9686dd74d39fdae140890d9c694c076  vobject-0.8.1c.tar.gz"
+sha256sums="594113117f2017ed837c8f3ce727616f9053baa5a5463a7420c8249b8fc556f5  vobject-0.8.1c.tar.gz"
+sha512sums="3c7071e040172c8ef9e93bb818fb3c5f04912322adaaf56794b00005ff1ee787d54ad6860835be4fb123fa4215c104e1cbc4031dcdab53e96f7dbed771c0fa79  vobject-0.8.1c.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:09 GMT